Subject: Re: [Mops] So, what is streaming media, anyway? :-)

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Wed, 22 Apr 2020 16:53:59 +0000

I agree with Kyle.

From my memory of when then charter was being discussion is that Latency wasn’t a determining factor for what’s in scope.  It was use driven.   Video Conferencing is not in as its use-cases and workflow are different from other media acquisition and delivery.   There may be technology overlap between video-conferencing and MOPS especially as a few folks have been working on using WebRTC for low-latency MOPS related media delivery.

Realtime and low latency is an ever lowering threshold and can be subjectively applied to a lot of things which are certainly in MOPS scope.  Meaning that when we started talking about MOPS latency targets for it may have been in the 10-30s range, but that’s certainly dropping across the media industry wide as more live content is being streamed and as more interactive media is being developed.

For example a TV news broadcast of a live event is an example of two forms for low latency that in scope for MOPS:  the first being “real time” acquisition of the live event, and the second the broadcast out to viewers of the news commentary around the live event.   The famous OJ chase in Los Angeles would be a real world example, and is something that is in MOPS scope.     Likewise, a sports match being filmed live and streamed out would be in scope.

Stuff that isn’t in would be video conferencing, telemedicine (which is really healthcare over video conference), and certainly telesurgery would be out of scope – not because of latency needs but because of their use-cases and workflows to deliver those use cases.   They are also already discussed in other groups, so doing them in MOPS would be a needless duplication.

All that said, there will likely be times where technology like WebRTC may show up in a use-case that fits into MOPS.   When that happens I would image that MOPS would do it’s MOPS thing of working through the MOPS related issues and packaging work that needed to be directed as appropriate to other groups.

I personally see use-cases like those brought up by Stadia and the others like it to likely fit into MOPS.   They have a media workflow that is closer to a live sports event much more closely than a video-conference does. Hence fitting into MOPS.

None of that depends on a test to see what the latency tolerance is, instead use-cases and flows are perhaps the test.

-glenn

On 4/22/20, 5:43 AM, "Mops on behalf of Kyle Rose" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

On Tue, Apr 21, 2020 at 10:32 PM Spencer Dawkins at IETF <[email-masked]<mailto:[email-masked]>> wrote:
Dear MOPS,

We have an issue in https://github.com/ietf-wg-mops/draft-ietf-mops-streaming-opcons/<https://urldefense.com/v3/__https:/github.com/ietf-wg-mops/draft-ietf-mops-streaming-opcons/__;!!PIZeeW5wscynRQ!8vP9PaX6T1LuiYkYc-j2lVZFxTckinvwjKhinmTSzRTNoVY1t9qFZl8Sm2fO_Cwk$>  that proposes a "low-latency" section in draft-ietf-mops-streaming-opcons, and discussion on that PR is starting to poke at what I understood the limits of MOPS scope to be, bringing in (checks notes) "RTMP, RTSP 2.0, WebRTC and globally all kinds of RTP-based streaming techs", STADIA, and SRT as possible topics.

This is, I think, the kind of conversation that we should be having on the working group mailing list ("when a topic is bigger than a conversation on an issue in Github ought to be").

Could people take a look at https://github.com/ietf-wg-mops/draft-ietf-mops-streaming-opcons/issues/3<https://urldefense.com/v3/__https:/github.com/ietf-wg-mops/draft-ietf-mops-streaming-opcons/issues/3__;!!PIZeeW5wscynRQ!8vP9PaX6T1LuiYkYc-j2lVZFxTckinvwjKhinmTSzRTNoVY1t9qFZl8Sm-OJr5J1$>, and let the working group know your thoughts?

<chair hat=on>
I've added a comment asking people to take further discussion of that issue to the mailing list prior to merging any related changes.
</chair>

From my reading of the charter, there's nothing disqualifying MOPS from addressing realtime media delivery issues, so long as we:

 * Restrict our scope to the interaction of media-related protocols with the network and not move higher in the technology stack; and
 * Focus on development of informational documents related to issues that affect operations for use by other working groups and SDOs, and not get into the business of developing protocols ourselves.

Clearly, realtime use cases (such as for interactive applications such as Stadia and for hand-wave latency minimization on live broadcasts) impose requirements on networks, protocols, and their interactions. I see MOPS as having been chartered for the express purpose of sussing out such requirements by leveraging the expertise and experience of a broad range of SMEs who would otherwise not have had a natural forum in the IETF for such collaboration.

Kyle